Arch MergeWalls/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(7 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav/ro|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}


<div class="mw-translate-fuzzy">
{{docnav/ro|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Workbench|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}
</div>

<div class="mw-translate-fuzzy">
{{GuiCommand/ro
{{GuiCommand/ro
|Name=Arch MergeWalls|Name/ro=Arch MergeWalls
|Name=Arch MergeWalls|Name/ro=Arch MergeWalls
|MenuLocation=Arch → Utilities → Merge Walls
|MenuLocation=Arch → Utilities → Merge Walls
|Workbenches=[[Arch Module/ro|Arch]]
|Workbenches=[[Arch_Workbench/ro|Arch]]
|SeeAlso=[[Arch Wall/ro]]
|SeeAlso=[[Arch Wall/ro]]
}}
}}
</div>


<span id="Description"></span>
==Descriere==
==Descriere==


The [[Arch MergeWalls|MergeWalls]] tool fuses two or more selected {{Button|[[Image: Arch_Wall.svg|16px]] [[Arch Wall|Arch Walls]]}}.
The [[Arch_MergeWalls|MergeWalls]] tool fuses two or more selected {{Button|[[Image: Arch_Wall.svg|16px]] [[Arch_Wall|Arch Walls]]}}.


<span id="Usage"></span>
== Cum se folosește ==
== Cum se folosește ==


# Select two or more walls.
# Select two or more walls. The walls must have the same height, width and alignment.
# Press the {{KEY|[[Image:Arch MergeWalls.svg|16px]]}} button, or use the {{KEY|Arch}} → {{KEY|Utilities}} → {{KEY|[[Image:Arch MergeWalls.svg|16px]] [[Arch MergeWalls|Merge Walls]]}} from the top menu.
# Press the {{KEY|[[Image:Arch MergeWalls.svg|16px]]}} button, or use the {{KEY|Arch}} → {{KEY|Utilities}} → {{KEY|[[Image:Arch MergeWalls.svg|16px]] [[Arch MergeWalls|Merge Walls]]}} from the top menu.


==Properties==
==Notes==


* [[Arch_Add|Arch Add]] can merge walls even if they have different heights, widths and alignments.
==Limitations==


== Scripting ==
== Scripting ==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].


{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
This tool can be used in [[macros]] and from the [[Python]] console by using the following function:

This tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
base = joinWalls(walls, delete=False)
base = joinWalls(walls, delete=False)
Line 45: Line 53:
base = Arch.joinWalls([Wall1, Wall2])
base = Arch.joinWalls([Wall1, Wall2])
}}
}}
{{docnav/ro|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}


{{Arch Tools navi{{#translation:}}}}


<div class="mw-translate-fuzzy">
{{docnav/ro|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Workbench|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}
</div>

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:21, 29 April 2024

Arch MergeWalls

poziția meniului
Arch → Utilities → Merge Walls
Ateliere
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Wall/ro

Descriere

The MergeWalls tool fuses two or more selected Arch Walls.

Cum se folosește

  1. Select two or more walls. The walls must have the same height, width and alignment.
  2. Press the button, or use the ArchUtilities Merge Walls from the top menu.

Notes

  • Arch Add can merge walls even if they have different heights, widths and alignments.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])